import request from '@/utils/request'

export function fetchMedicinePages(data) {
    return request({
        url: '/medicineManagement/fetchMedicinePages',
        method: 'post',
        data,
    })
}

export function submitMedicinePages(data) {
    return request({
        url: '/medicineManagement/submitMedicinePages',
        method: 'post',
        data,
    })
}

export function fetchUsedMedicines(data) {
    return request({
        url: '/medicineManagement/fetchUsedMedicines',
        method: 'post',
        data,
    })
}

export function fetchPoisonousAnesthetics(data) {
    return request({
        url: '/medicineManagement/fetchPoisonousAnesthetics',
        method: 'post',
        data,
    })
}

export function fetchSubmittedPageNos(data) {
    return request({
        url: '/medicineManagement/fetchSubmittedPageNos',
        method: 'post',
        data,
    })
}

export function fetchMedicinePageDetail(data) {
    return request({
        url: '/medicineManagement/fetchMedicinePageDetail',
        method: 'post',
        data,
    })
}
